package main

import (
	"fmt"
)

func main() {
	// section: code
	type User struct {
		First string
		Last  string
		Email string
	}

	u := User{First: "Cory", Last: "LaNou", Email: "cory@gopherguides.com"}
	fmt.Printf("user: %v\n", u)

	// using %+v shows the field names in the struct when it prints out
	fmt.Printf("user: %+v\n", u)
	// section: code
}

/*
// section: output
user: {Cory LaNou cory@gopherguides.com}
user: {First:Cory Last:LaNou Email:cory@gopherguides.com}
// section: output
*/
